Function
getUniqueName
Returns a unique name of the current annotation.
getUniqueName(iter)
Include Headers
seqan/store.h
Parameters

iter | An annotation tree iterator. Types: AnnotationTree Iterator

Remarks
Some annotation file formats doesn't require that every annotation has a non-empty name. This function returns the name if non-empty and otherwise generates one using the type and id.
Return Values
A unique name of the current annotation.
Types: CharString
Member of
AnnotationTree Iterator
See Also
getName
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58